package dll

// List is a slice of DLLs.
type List []DLL

// Index returns the position of the given function name.
func (list List) Index(dllName string, funcName string) int {
	index := 0

	for _, dll := range list {
		if dll.Name != dllName {
			index += len(dll.Functions) + 1
			continue
		}

		for i, fn := range dll.Functions {
			if fn == funcName {
				return index + i
			}
		}
	}

	return -1
}
